Gecode::TraceFilter::TFO Class Reference

The actual object storing the shared filters. More...

`#include <filter.hpp>`

## Classes

struct | Filter
| Filter information. More...
class | StackFrame

## Public Member Functions

void | fill (TFE::Node *n)
| Fill the filters.
| TFO (void)
| Initialize without any filter and with fixpoint and done tracing.
| TFO (const TFE &e)
| Initialize with trace filter expression e.
| TFO (PropagatorGroup g)
| Initialize with propagator group g.
| TFO (BrancherGroup g)
| Initialize with brancher group g.
bool | operator() (const ViewTraceInfo &vti) const
| Check whether filter is true for view trace information vti.
bool | operator() (PropagatorGroup pg) const
| Check whether filter is true for propagator group pg.
bool | operator() (BrancherGroup bg) const
| Check whether filter is true for brancher group bg.
virtual | ~TFO (void)
| Destructor.
Public Member Functions inherited from Gecode::SharedHandle::Object
| Object (void)
| Initialize.
virtual | ~Object (void)
| Delete shared object.

## Public Attributes

int | n
| The number of filters.
Filter * | f
| The filters.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

The actual object storing the shared filters.

Definition at line 136 of file filter.hpp.

## Constructor & Destructor Documentation

## TFO() [1/4]

Gecode::TraceFilter::TFO::TFO | ( | void |  | ) |

inline

Initialize without any filter and with fixpoint and done tracing.

Definition at line 247 of file filter.hpp.

## TFO() [2/4]

Gecode::TraceFilter::TFO::TFO | ( | const TFE & | e | ) |

inline

Initialize with trace filter expression e.

Definition at line 249 of file filter.hpp.

## TFO() [3/4]

Gecode::TraceFilter::TFO::TFO | ( | PropagatorGroup | g | ) |

inline

Initialize with propagator group g.

Definition at line 256 of file filter.hpp.

## TFO() [4/4]

Gecode::TraceFilter::TFO::TFO | ( | BrancherGroup | g | ) |

inline

Initialize with brancher group g.

Definition at line 263 of file filter.hpp.

## ~TFO()

Gecode::TraceFilter::TFO::~TFO | ( | void |  | ) |

virtual

Destructor.

Definition at line 183 of file filter.cpp.

## Member Function Documentation

## fill()

void Gecode::TraceFilter::TFO::fill | ( | TFE::Node * | n | ) |

Fill the filters.

Definition at line 159 of file filter.cpp.

## operator()() [1/3]

bool Gecode::TraceFilter::TFO::operator() | ( | const ViewTraceInfo & | vti | ) | const

inline

Check whether filter is true for view trace information vti.

Definition at line 270 of file filter.hpp.

## operator()() [2/3]

bool Gecode::TraceFilter::TFO::operator() | ( | PropagatorGroup | pg | ) | const

inline

Check whether filter is true for propagator group pg.

Definition at line 304 of file filter.hpp.

## operator()() [3/3]

bool Gecode::TraceFilter::TFO::operator() | ( | BrancherGroup | bg | ) | const

inline

Check whether filter is true for brancher group bg.

Definition at line 320 of file filter.hpp.

## Member Data Documentation

## n

int Gecode::TraceFilter::TFO::n

The number of filters.

Definition at line 159 of file filter.hpp.

## f

Filter* Gecode::TraceFilter::TFO::f

The filters.

Definition at line 161 of file filter.hpp.

The documentation for this class was generated from the following files:

- gecode/kernel/trace/filter.hpp
- gecode/kernel/trace/filter.cpp